---
title: Get the current settings for the active account
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Network Interconnects](https://developers.cloudflare.com/api/go/resources/network_interconnects)

[Settings](https://developers.cloudflare.com/api/go/resources/network_interconnects/subresources/settings)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get the current settings for the active account

client.NetworkInterconnects.Settings.Get(ctx, query) (\*[SettingGetResponse](<https://developers.cloudflare.com/api/go/resources/network_interconnects#(resource)%20network_interconnects.settings%20%3E%20(model)%20SettingGetResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/cni/settings

Retrieves current settings configuration for the specified resource or service.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write``Magic WAN Read``Magic Transit Read``Magic Transit Write`

##### ParametersExpand Collapse

<details>

<summary>

query SettingGetParams

</summary>

AccountID param.Field\[string]

Account tag to retrieve settings for

<a href="#(resource)%20network_interconnects.settings%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20network_interconnects.settings%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type SettingGetResponse struct{…}

</summary>

DefaultASN int64

formatint32

minimum0

<a href="#(resource)%20network_interconnects.settings%20%3E%20(model)%20SettingGetResponse%20%3E%20(schema)%20%3E%20(property)%20default_asn">Link to this property</a>

</details>

[Link to this property](<#(resource)%20network_interconnects.settings%20%3E%20(model)%20SettingGetResponse%20%3E%20(schema)>)

### Get the current settings for the active account

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/network_interconnects"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  setting, err := client.NetworkInterconnects.Settings.Get(context.TODO(), network_interconnects.SettingGetParams{
    AccountID: cloudflare.F("account_id"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", setting.DefaultASN)
}
```

200 example

```
{
  "default_asn": 0
}
```

##### Returns Examples

200 example

```
{
  "default_asn": 0
}
```